<?xml version="1.0" encoding="UTF-8"?>
<!--
  The contents of this file are subject to the terms of the Common Development and
  Distribution License (the License). You may not use this file except in compliance with the
  License.

  You can obtain a copy of the License at legal/CDDLv1.0.txt. See the License for the
  specific language governing permission and limitations under the License.

  When distributing Covered Software, include this CDDL Header Notice in each file and include
  the License file at legal/CDDLv1.0.txt. If applicable, add the following below the CDDL
  Header, with the fields enclosed by brackets [] replaced by your own identifying
  information: "Portions Copyright [year] [name of copyright owner]".

  Copyright 2015-2016 ForgeRock AS.
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <packaging>pom</packaging>

    <parent>
        <groupId>org.openidentityplatform.openig</groupId>
        <artifactId>openig-project</artifactId>
        <version>5.1.1-SNAPSHOT</version>
    </parent>

    <profiles>
        <profile>
            <id>packages</id>
            <activation><activeByDefault>true</activeByDefault></activation>
        </profile>
    </profiles>

    <artifactId>openig-docker</artifactId>
    <name>OpenIG Docker Packages Parent</name>

    <description>
        This module contains configuration and generic plugin calls to generate Docker file for OpenIG.
    </description>

    <build>
            <plugins>
                <plugin>
				    <artifactId>maven-antrun-plugin</artifactId>
				    <executions>
				      <execution>
				        <phase>prepare-package</phase>
				        <configuration>
				          <tasks>
				          	<copy todir="${project.build.directory}">
    							<fileset dir="${basedir}">
        							<include name="Dockerfile*" />  <!--NOTE DIFFERENCE HERE-->
    							</fileset>
							</copy>
				            <replace token="@project_version@" value="${project.version}" dir="target/">                                 
				              <include name="Dockerfile*" />
				            </replace>
				          </tasks>
				        </configuration>
				        <goals>
				          <goal>run</goal>
				        </goals>
				      </execution>
				    </executions>
				  </plugin>
            </plugins>
    </build>
</project>
